var close,
    endCallback = function () {
        var container = document.getElementById('container');
        // clean up
        document.body.removeChild(container);
        container = document.createElement('div');
        container.setAttribute('id', 'container');
        container.setAttribute('class', 'container');
        document.body.appendChild(container);

        Cocoon.App.forward("if (window.adsMogoEnd) {window.adsMogoEnd();}");

        try {
            if (Cocoon.Widget.WebDialog.close) {
                Cocoon.Widget.WebDialog.close();
            }
        } catch (e) {}
        // close cocoon webview
        try {
            Cocoon.WebView.hide();
            Cocoon.Touch.enable();
        } catch (e) {}

    };
var handler = function () {

};
//non-jQuery
if (window.addEventListener) {
    addEventListener('load', function () {
        close = document.getElementById('close');
        close.addEventListener('click', endCallback);
        close.addEventListener('touchstart', endCallback);
        try {
            Cocoon.Touch.disable();
        } catch (e) {}
    }, false);
}

window.addOverlay = function (url) {
    var div = document.createElement('div');
    div.className = 'overlay';
    div.addEventListener('click', function (event) {
        Cocoon.App.openURL(url);
    });
    div.addEventListener('touchstart', function (event) {
        Cocoon.App.openURL(url);
    });
};

window.setResponse = function (str) {
    var response = document.getElementById('response'),
        json = JSON.parse(str);
    response.innerHTML = json.ad_type;

    if (json.ad_type === 4 && json.html) {
        response.innerHTML = json.html.snippet;
    }
};

window.debug = function (str) {
    var response = document.getElementById('response');
    response.innerHTML = str;
};

window.setText = function (title, text, icon, clkUrl) {
    var container = document.getElementById('container');

    var h1 = document.createElement('h1');
    h1.innerHTML = title;
    container.appendChild(h1);
    var p = document.createElement('p');
    p.innerHTML = text;
    container.appendChild(p);

    var a = document.createElement('a');
    a.innerHTML = "下载<br>";
    a.setAttribute('href', clkUrl);
    a.onclick = function () {
        Cocoon.App.forward("window.trackAdsMogo('clk_track');");
    };
    container.appendChild(a);
    
    var image = new Image();
    image.src = icon;
    container.appendChild(image);
    image.addEventListener('click', function () {
        Cocoon.App.forward("window.trackAdsMogo('clk_track');");
        Cocoon.App.openURL(clkUrl);
    });

};
window.setImage = function (src, clkUrl) {
    var container = document.getElementById('container');
    var image = new Image();
    image.src = src;
    //image.setAttribute('class', 'img-responsive');
    image.style.width = '320 px';
    container.appendChild(image);
};
window.setHtml = function (snippet) {
    var container = document.getElementById('container');
    var iframe = document.createElement('iframe');

    if (!snippet || snippet === 'undefined') {
        var p = document.createElement('p');
        p.innerHTML = "undefined";
        container.appendChild(p);
        Cocoon.App.forward('console.log("snippet undefined");');
        return;
    }
    container.appendChild(iframe);
    iframe.contentWindow.document.write(snippet);

    // close bug
    document.body.addEventListener('click', endCallback);
    document.body.addEventListener('touchstart', endCallback);
};
window.setHtmlUrl = function (url, clkUrl) {
    var container = document.getElementById('container');
    var a = document.createElement('a');
    a.innerHTML = url;
    a.href = url;
    container.appendChild(a);

};
window.setVideo = function (url, clkUrl) {
    var container = document.getElementById('container');
    var video = document.createElement('video');
    video.setAttribute('autoplay', 'true');
    video.innerHTML = '<source src="' + url + '" type="video/' + url.substr(url.length - 3) + '">';
    container.appendChild(video);
};
window.setSound = function (url, len, clkUrl) {

};